package com.chinaitop.depot.intelligent.ventilation.model;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class TVentilationExample {
    /**
     * t_ventilation
     */
    protected String orderByClause;

    /**
     * t_ventilation
     */
    protected boolean distinct;

    /**
     * t_ventilation
     */
    protected List<Criteria> oredCriteria;

    public TVentilationExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    /**
     * t_ventilation 2019-03-11
     */
    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(String value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(String value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(String value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(String value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(String value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(String value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLike(String value) {
            addCriterion("id like", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotLike(String value) {
            addCriterion("id not like", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<String> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<String> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(String value1, String value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(String value1, String value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andOrgIdIsNull() {
            addCriterion("org_id is null");
            return (Criteria) this;
        }

        public Criteria andOrgIdIsNotNull() {
            addCriterion("org_id is not null");
            return (Criteria) this;
        }

        public Criteria andOrgIdEqualTo(String value) {
            addCriterion("org_id =", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdNotEqualTo(String value) {
            addCriterion("org_id <>", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdGreaterThan(String value) {
            addCriterion("org_id >", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdGreaterThanOrEqualTo(String value) {
            addCriterion("org_id >=", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdLessThan(String value) {
            addCriterion("org_id <", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdLessThanOrEqualTo(String value) {
            addCriterion("org_id <=", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdLike(String value) {
            addCriterion("org_id like", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdNotLike(String value) {
            addCriterion("org_id not like", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdIn(List<String> values) {
            addCriterion("org_id in", values, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdNotIn(List<String> values) {
            addCriterion("org_id not in", values, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdBetween(String value1, String value2) {
            addCriterion("org_id between", value1, value2, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdNotBetween(String value1, String value2) {
            addCriterion("org_id not between", value1, value2, "orgId");
            return (Criteria) this;
        }

        public Criteria andVCfCodeIsNull() {
            addCriterion("v_cf_code is null");
            return (Criteria) this;
        }

        public Criteria andVCfCodeIsNotNull() {
            addCriterion("v_cf_code is not null");
            return (Criteria) this;
        }

        public Criteria andVCfCodeEqualTo(String value) {
            addCriterion("v_cf_code =", value, "vCfCode");
            return (Criteria) this;
        }

        public Criteria andVCfCodeNotEqualTo(String value) {
            addCriterion("v_cf_code <>", value, "vCfCode");
            return (Criteria) this;
        }

        public Criteria andVCfCodeGreaterThan(String value) {
            addCriterion("v_cf_code >", value, "vCfCode");
            return (Criteria) this;
        }

        public Criteria andVCfCodeGreaterThanOrEqualTo(String value) {
            addCriterion("v_cf_code >=", value, "vCfCode");
            return (Criteria) this;
        }

        public Criteria andVCfCodeLessThan(String value) {
            addCriterion("v_cf_code <", value, "vCfCode");
            return (Criteria) this;
        }

        public Criteria andVCfCodeLessThanOrEqualTo(String value) {
            addCriterion("v_cf_code <=", value, "vCfCode");
            return (Criteria) this;
        }

        public Criteria andVCfCodeLike(String value) {
            addCriterion("v_cf_code like", value, "vCfCode");
            return (Criteria) this;
        }

        public Criteria andVCfCodeNotLike(String value) {
            addCriterion("v_cf_code not like", value, "vCfCode");
            return (Criteria) this;
        }

        public Criteria andVCfCodeIn(List<String> values) {
            addCriterion("v_cf_code in", values, "vCfCode");
            return (Criteria) this;
        }

        public Criteria andVCfCodeNotIn(List<String> values) {
            addCriterion("v_cf_code not in", values, "vCfCode");
            return (Criteria) this;
        }

        public Criteria andVCfCodeBetween(String value1, String value2) {
            addCriterion("v_cf_code between", value1, value2, "vCfCode");
            return (Criteria) this;
        }

        public Criteria andVCfCodeNotBetween(String value1, String value2) {
            addCriterion("v_cf_code not between", value1, value2, "vCfCode");
            return (Criteria) this;
        }

        public Criteria andOperationIdIsNull() {
            addCriterion("operation_id is null");
            return (Criteria) this;
        }

        public Criteria andOperationIdIsNotNull() {
            addCriterion("operation_id is not null");
            return (Criteria) this;
        }

        public Criteria andOperationIdEqualTo(String value) {
            addCriterion("operation_id =", value, "operationId");
            return (Criteria) this;
        }

        public Criteria andOperationIdNotEqualTo(String value) {
            addCriterion("operation_id <>", value, "operationId");
            return (Criteria) this;
        }

        public Criteria andOperationIdGreaterThan(String value) {
            addCriterion("operation_id >", value, "operationId");
            return (Criteria) this;
        }

        public Criteria andOperationIdGreaterThanOrEqualTo(String value) {
            addCriterion("operation_id >=", value, "operationId");
            return (Criteria) this;
        }

        public Criteria andOperationIdLessThan(String value) {
            addCriterion("operation_id <", value, "operationId");
            return (Criteria) this;
        }

        public Criteria andOperationIdLessThanOrEqualTo(String value) {
            addCriterion("operation_id <=", value, "operationId");
            return (Criteria) this;
        }

        public Criteria andOperationIdLike(String value) {
            addCriterion("operation_id like", value, "operationId");
            return (Criteria) this;
        }

        public Criteria andOperationIdNotLike(String value) {
            addCriterion("operation_id not like", value, "operationId");
            return (Criteria) this;
        }

        public Criteria andOperationIdIn(List<String> values) {
            addCriterion("operation_id in", values, "operationId");
            return (Criteria) this;
        }

        public Criteria andOperationIdNotIn(List<String> values) {
            addCriterion("operation_id not in", values, "operationId");
            return (Criteria) this;
        }

        public Criteria andOperationIdBetween(String value1, String value2) {
            addCriterion("operation_id between", value1, value2, "operationId");
            return (Criteria) this;
        }

        public Criteria andOperationIdNotBetween(String value1, String value2) {
            addCriterion("operation_id not between", value1, value2, "operationId");
            return (Criteria) this;
        }

        public Criteria andVDevNameIsNull() {
            addCriterion("v_dev_name is null");
            return (Criteria) this;
        }

        public Criteria andVDevNameIsNotNull() {
            addCriterion("v_dev_name is not null");
            return (Criteria) this;
        }

        public Criteria andVDevNameEqualTo(String value) {
            addCriterion("v_dev_name =", value, "vDevName");
            return (Criteria) this;
        }

        public Criteria andVDevNameNotEqualTo(String value) {
            addCriterion("v_dev_name <>", value, "vDevName");
            return (Criteria) this;
        }

        public Criteria andVDevNameGreaterThan(String value) {
            addCriterion("v_dev_name >", value, "vDevName");
            return (Criteria) this;
        }

        public Criteria andVDevNameGreaterThanOrEqualTo(String value) {
            addCriterion("v_dev_name >=", value, "vDevName");
            return (Criteria) this;
        }

        public Criteria andVDevNameLessThan(String value) {
            addCriterion("v_dev_name <", value, "vDevName");
            return (Criteria) this;
        }

        public Criteria andVDevNameLessThanOrEqualTo(String value) {
            addCriterion("v_dev_name <=", value, "vDevName");
            return (Criteria) this;
        }

        public Criteria andVDevNameLike(String value) {
            addCriterion("v_dev_name like", value, "vDevName");
            return (Criteria) this;
        }

        public Criteria andVDevNameNotLike(String value) {
            addCriterion("v_dev_name not like", value, "vDevName");
            return (Criteria) this;
        }

        public Criteria andVDevNameIn(List<String> values) {
            addCriterion("v_dev_name in", values, "vDevName");
            return (Criteria) this;
        }

        public Criteria andVDevNameNotIn(List<String> values) {
            addCriterion("v_dev_name not in", values, "vDevName");
            return (Criteria) this;
        }

        public Criteria andVDevNameBetween(String value1, String value2) {
            addCriterion("v_dev_name between", value1, value2, "vDevName");
            return (Criteria) this;
        }

        public Criteria andVDevNameNotBetween(String value1, String value2) {
            addCriterion("v_dev_name not between", value1, value2, "vDevName");
            return (Criteria) this;
        }

        public Criteria andVDeviceCodeIsNull() {
            addCriterion("v_device_code is null");
            return (Criteria) this;
        }

        public Criteria andVDeviceCodeIsNotNull() {
            addCriterion("v_device_code is not null");
            return (Criteria) this;
        }

        public Criteria andVDeviceCodeEqualTo(String value) {
            addCriterion("v_device_code =", value, "vDeviceCode");
            return (Criteria) this;
        }

        public Criteria andVDeviceCodeNotEqualTo(String value) {
            addCriterion("v_device_code <>", value, "vDeviceCode");
            return (Criteria) this;
        }

        public Criteria andVDeviceCodeGreaterThan(String value) {
            addCriterion("v_device_code >", value, "vDeviceCode");
            return (Criteria) this;
        }

        public Criteria andVDeviceCodeGreaterThanOrEqualTo(String value) {
            addCriterion("v_device_code >=", value, "vDeviceCode");
            return (Criteria) this;
        }

        public Criteria andVDeviceCodeLessThan(String value) {
            addCriterion("v_device_code <", value, "vDeviceCode");
            return (Criteria) this;
        }

        public Criteria andVDeviceCodeLessThanOrEqualTo(String value) {
            addCriterion("v_device_code <=", value, "vDeviceCode");
            return (Criteria) this;
        }

        public Criteria andVDeviceCodeLike(String value) {
            addCriterion("v_device_code like", value, "vDeviceCode");
            return (Criteria) this;
        }

        public Criteria andVDeviceCodeNotLike(String value) {
            addCriterion("v_device_code not like", value, "vDeviceCode");
            return (Criteria) this;
        }

        public Criteria andVDeviceCodeIn(List<String> values) {
            addCriterion("v_device_code in", values, "vDeviceCode");
            return (Criteria) this;
        }

        public Criteria andVDeviceCodeNotIn(List<String> values) {
            addCriterion("v_device_code not in", values, "vDeviceCode");
            return (Criteria) this;
        }

        public Criteria andVDeviceCodeBetween(String value1, String value2) {
            addCriterion("v_device_code between", value1, value2, "vDeviceCode");
            return (Criteria) this;
        }

        public Criteria andVDeviceCodeNotBetween(String value1, String value2) {
            addCriterion("v_device_code not between", value1, value2, "vDeviceCode");
            return (Criteria) this;
        }

        public Criteria andVPatternIsNull() {
            addCriterion("v_pattern is null");
            return (Criteria) this;
        }

        public Criteria andVPatternIsNotNull() {
            addCriterion("v_pattern is not null");
            return (Criteria) this;
        }

        public Criteria andVPatternEqualTo(String value) {
            addCriterion("v_pattern =", value, "vPattern");
            return (Criteria) this;
        }

        public Criteria andVPatternNotEqualTo(String value) {
            addCriterion("v_pattern <>", value, "vPattern");
            return (Criteria) this;
        }

        public Criteria andVPatternGreaterThan(String value) {
            addCriterion("v_pattern >", value, "vPattern");
            return (Criteria) this;
        }

        public Criteria andVPatternGreaterThanOrEqualTo(String value) {
            addCriterion("v_pattern >=", value, "vPattern");
            return (Criteria) this;
        }

        public Criteria andVPatternLessThan(String value) {
            addCriterion("v_pattern <", value, "vPattern");
            return (Criteria) this;
        }

        public Criteria andVPatternLessThanOrEqualTo(String value) {
            addCriterion("v_pattern <=", value, "vPattern");
            return (Criteria) this;
        }

        public Criteria andVPatternLike(String value) {
            addCriterion("v_pattern like", value, "vPattern");
            return (Criteria) this;
        }

        public Criteria andVPatternNotLike(String value) {
            addCriterion("v_pattern not like", value, "vPattern");
            return (Criteria) this;
        }

        public Criteria andVPatternIn(List<String> values) {
            addCriterion("v_pattern in", values, "vPattern");
            return (Criteria) this;
        }

        public Criteria andVPatternNotIn(List<String> values) {
            addCriterion("v_pattern not in", values, "vPattern");
            return (Criteria) this;
        }

        public Criteria andVPatternBetween(String value1, String value2) {
            addCriterion("v_pattern between", value1, value2, "vPattern");
            return (Criteria) this;
        }

        public Criteria andVPatternNotBetween(String value1, String value2) {
            addCriterion("v_pattern not between", value1, value2, "vPattern");
            return (Criteria) this;
        }

        public Criteria andVStartTimeIsNull() {
            addCriterion("v_start_time is null");
            return (Criteria) this;
        }

        public Criteria andVStartTimeIsNotNull() {
            addCriterion("v_start_time is not null");
            return (Criteria) this;
        }

        public Criteria andVStartTimeEqualTo(Date value) {
            addCriterion("v_start_time =", value, "vStartTime");
            return (Criteria) this;
        }

        public Criteria andVStartTimeNotEqualTo(Date value) {
            addCriterion("v_start_time <>", value, "vStartTime");
            return (Criteria) this;
        }

        public Criteria andVStartTimeGreaterThan(Date value) {
            addCriterion("v_start_time >", value, "vStartTime");
            return (Criteria) this;
        }

        public Criteria andVStartTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("v_start_time >=", value, "vStartTime");
            return (Criteria) this;
        }

        public Criteria andVStartTimeLessThan(Date value) {
            addCriterion("v_start_time <", value, "vStartTime");
            return (Criteria) this;
        }

        public Criteria andVStartTimeLessThanOrEqualTo(Date value) {
            addCriterion("v_start_time <=", value, "vStartTime");
            return (Criteria) this;
        }

        public Criteria andVStartTimeIn(List<Date> values) {
            addCriterion("v_start_time in", values, "vStartTime");
            return (Criteria) this;
        }

        public Criteria andVStartTimeNotIn(List<Date> values) {
            addCriterion("v_start_time not in", values, "vStartTime");
            return (Criteria) this;
        }

        public Criteria andVStartTimeBetween(Date value1, Date value2) {
            addCriterion("v_start_time between", value1, value2, "vStartTime");
            return (Criteria) this;
        }

        public Criteria andVStartTimeNotBetween(Date value1, Date value2) {
            addCriterion("v_start_time not between", value1, value2, "vStartTime");
            return (Criteria) this;
        }

        public Criteria andVEndTimeIsNull() {
            addCriterion("v_end_time is null");
            return (Criteria) this;
        }

        public Criteria andVEndTimeIsNotNull() {
            addCriterion("v_end_time is not null");
            return (Criteria) this;
        }

        public Criteria andVEndTimeEqualTo(Date value) {
            addCriterion("v_end_time =", value, "vEndTime");
            return (Criteria) this;
        }

        public Criteria andVEndTimeNotEqualTo(Date value) {
            addCriterion("v_end_time <>", value, "vEndTime");
            return (Criteria) this;
        }

        public Criteria andVEndTimeGreaterThan(Date value) {
            addCriterion("v_end_time >", value, "vEndTime");
            return (Criteria) this;
        }

        public Criteria andVEndTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("v_end_time >=", value, "vEndTime");
            return (Criteria) this;
        }

        public Criteria andVEndTimeLessThan(Date value) {
            addCriterion("v_end_time <", value, "vEndTime");
            return (Criteria) this;
        }

        public Criteria andVEndTimeLessThanOrEqualTo(Date value) {
            addCriterion("v_end_time <=", value, "vEndTime");
            return (Criteria) this;
        }

        public Criteria andVEndTimeIn(List<Date> values) {
            addCriterion("v_end_time in", values, "vEndTime");
            return (Criteria) this;
        }

        public Criteria andVEndTimeNotIn(List<Date> values) {
            addCriterion("v_end_time not in", values, "vEndTime");
            return (Criteria) this;
        }

        public Criteria andVEndTimeBetween(Date value1, Date value2) {
            addCriterion("v_end_time between", value1, value2, "vEndTime");
            return (Criteria) this;
        }

        public Criteria andVEndTimeNotBetween(Date value1, Date value2) {
            addCriterion("v_end_time not between", value1, value2, "vEndTime");
            return (Criteria) this;
        }

        public Criteria andVDistinguishStateIsNull() {
            addCriterion("v_distinguish_state is null");
            return (Criteria) this;
        }

        public Criteria andVDistinguishStateIsNotNull() {
            addCriterion("v_distinguish_state is not null");
            return (Criteria) this;
        }

        public Criteria andVDistinguishStateEqualTo(Integer value) {
            addCriterion("v_distinguish_state =", value, "vDistinguishState");
            return (Criteria) this;
        }

        public Criteria andVDistinguishStateNotEqualTo(Integer value) {
            addCriterion("v_distinguish_state <>", value, "vDistinguishState");
            return (Criteria) this;
        }

        public Criteria andVDistinguishStateGreaterThan(Integer value) {
            addCriterion("v_distinguish_state >", value, "vDistinguishState");
            return (Criteria) this;
        }

        public Criteria andVDistinguishStateGreaterThanOrEqualTo(Integer value) {
            addCriterion("v_distinguish_state >=", value, "vDistinguishState");
            return (Criteria) this;
        }

        public Criteria andVDistinguishStateLessThan(Integer value) {
            addCriterion("v_distinguish_state <", value, "vDistinguishState");
            return (Criteria) this;
        }

        public Criteria andVDistinguishStateLessThanOrEqualTo(Integer value) {
            addCriterion("v_distinguish_state <=", value, "vDistinguishState");
            return (Criteria) this;
        }

        public Criteria andVDistinguishStateIn(List<Integer> values) {
            addCriterion("v_distinguish_state in", values, "vDistinguishState");
            return (Criteria) this;
        }

        public Criteria andVDistinguishStateNotIn(List<Integer> values) {
            addCriterion("v_distinguish_state not in", values, "vDistinguishState");
            return (Criteria) this;
        }

        public Criteria andVDistinguishStateBetween(Integer value1, Integer value2) {
            addCriterion("v_distinguish_state between", value1, value2, "vDistinguishState");
            return (Criteria) this;
        }

        public Criteria andVDistinguishStateNotBetween(Integer value1, Integer value2) {
            addCriterion("v_distinguish_state not between", value1, value2, "vDistinguishState");
            return (Criteria) this;
        }

        public Criteria andVStateIsNull() {
            addCriterion("v_state is null");
            return (Criteria) this;
        }

        public Criteria andVStateIsNotNull() {
            addCriterion("v_state is not null");
            return (Criteria) this;
        }

        public Criteria andVStateEqualTo(Integer value) {
            addCriterion("v_state =", value, "vState");
            return (Criteria) this;
        }

        public Criteria andVStateNotEqualTo(Integer value) {
            addCriterion("v_state <>", value, "vState");
            return (Criteria) this;
        }

        public Criteria andVStateGreaterThan(Integer value) {
            addCriterion("v_state >", value, "vState");
            return (Criteria) this;
        }

        public Criteria andVStateGreaterThanOrEqualTo(Integer value) {
            addCriterion("v_state >=", value, "vState");
            return (Criteria) this;
        }

        public Criteria andVStateLessThan(Integer value) {
            addCriterion("v_state <", value, "vState");
            return (Criteria) this;
        }

        public Criteria andVStateLessThanOrEqualTo(Integer value) {
            addCriterion("v_state <=", value, "vState");
            return (Criteria) this;
        }

        public Criteria andVStateIn(List<Integer> values) {
            addCriterion("v_state in", values, "vState");
            return (Criteria) this;
        }

        public Criteria andVStateNotIn(List<Integer> values) {
            addCriterion("v_state not in", values, "vState");
            return (Criteria) this;
        }

        public Criteria andVStateBetween(Integer value1, Integer value2) {
            addCriterion("v_state between", value1, value2, "vState");
            return (Criteria) this;
        }

        public Criteria andVStateNotBetween(Integer value1, Integer value2) {
            addCriterion("v_state not between", value1, value2, "vState");
            return (Criteria) this;
        }

        public Criteria andVUpdatePersonIsNull() {
            addCriterion("v_update_person is null");
            return (Criteria) this;
        }

        public Criteria andVUpdatePersonIsNotNull() {
            addCriterion("v_update_person is not null");
            return (Criteria) this;
        }

        public Criteria andVUpdatePersonEqualTo(String value) {
            addCriterion("v_update_person =", value, "vUpdatePerson");
            return (Criteria) this;
        }

        public Criteria andVUpdatePersonNotEqualTo(String value) {
            addCriterion("v_update_person <>", value, "vUpdatePerson");
            return (Criteria) this;
        }

        public Criteria andVUpdatePersonGreaterThan(String value) {
            addCriterion("v_update_person >", value, "vUpdatePerson");
            return (Criteria) this;
        }

        public Criteria andVUpdatePersonGreaterThanOrEqualTo(String value) {
            addCriterion("v_update_person >=", value, "vUpdatePerson");
            return (Criteria) this;
        }

        public Criteria andVUpdatePersonLessThan(String value) {
            addCriterion("v_update_person <", value, "vUpdatePerson");
            return (Criteria) this;
        }

        public Criteria andVUpdatePersonLessThanOrEqualTo(String value) {
            addCriterion("v_update_person <=", value, "vUpdatePerson");
            return (Criteria) this;
        }

        public Criteria andVUpdatePersonLike(String value) {
            addCriterion("v_update_person like", value, "vUpdatePerson");
            return (Criteria) this;
        }

        public Criteria andVUpdatePersonNotLike(String value) {
            addCriterion("v_update_person not like", value, "vUpdatePerson");
            return (Criteria) this;
        }

        public Criteria andVUpdatePersonIn(List<String> values) {
            addCriterion("v_update_person in", values, "vUpdatePerson");
            return (Criteria) this;
        }

        public Criteria andVUpdatePersonNotIn(List<String> values) {
            addCriterion("v_update_person not in", values, "vUpdatePerson");
            return (Criteria) this;
        }

        public Criteria andVUpdatePersonBetween(String value1, String value2) {
            addCriterion("v_update_person between", value1, value2, "vUpdatePerson");
            return (Criteria) this;
        }

        public Criteria andVUpdatePersonNotBetween(String value1, String value2) {
            addCriterion("v_update_person not between", value1, value2, "vUpdatePerson");
            return (Criteria) this;
        }

        public Criteria andDataSourceIsNull() {
            addCriterion("data_source is null");
            return (Criteria) this;
        }

        public Criteria andDataSourceIsNotNull() {
            addCriterion("data_source is not null");
            return (Criteria) this;
        }

        public Criteria andDataSourceEqualTo(String value) {
            addCriterion("data_source =", value, "dataSource");
            return (Criteria) this;
        }

        public Criteria andDataSourceNotEqualTo(String value) {
            addCriterion("data_source <>", value, "dataSource");
            return (Criteria) this;
        }

        public Criteria andDataSourceGreaterThan(String value) {
            addCriterion("data_source >", value, "dataSource");
            return (Criteria) this;
        }

        public Criteria andDataSourceGreaterThanOrEqualTo(String value) {
            addCriterion("data_source >=", value, "dataSource");
            return (Criteria) this;
        }

        public Criteria andDataSourceLessThan(String value) {
            addCriterion("data_source <", value, "dataSource");
            return (Criteria) this;
        }

        public Criteria andDataSourceLessThanOrEqualTo(String value) {
            addCriterion("data_source <=", value, "dataSource");
            return (Criteria) this;
        }

        public Criteria andDataSourceLike(String value) {
            addCriterion("data_source like", value, "dataSource");
            return (Criteria) this;
        }

        public Criteria andDataSourceNotLike(String value) {
            addCriterion("data_source not like", value, "dataSource");
            return (Criteria) this;
        }

        public Criteria andDataSourceIn(List<String> values) {
            addCriterion("data_source in", values, "dataSource");
            return (Criteria) this;
        }

        public Criteria andDataSourceNotIn(List<String> values) {
            addCriterion("data_source not in", values, "dataSource");
            return (Criteria) this;
        }

        public Criteria andDataSourceBetween(String value1, String value2) {
            addCriterion("data_source between", value1, value2, "dataSource");
            return (Criteria) this;
        }

        public Criteria andDataSourceNotBetween(String value1, String value2) {
            addCriterion("data_source not between", value1, value2, "dataSource");
            return (Criteria) this;
        }

        public Criteria andVUpdateTimeIsNull() {
            addCriterion("v_update_time is null");
            return (Criteria) this;
        }

        public Criteria andVUpdateTimeIsNotNull() {
            addCriterion("v_update_time is not null");
            return (Criteria) this;
        }

        public Criteria andVUpdateTimeEqualTo(Date value) {
            addCriterion("v_update_time =", value, "vUpdateTime");
            return (Criteria) this;
        }

        public Criteria andVUpdateTimeNotEqualTo(Date value) {
            addCriterion("v_update_time <>", value, "vUpdateTime");
            return (Criteria) this;
        }

        public Criteria andVUpdateTimeGreaterThan(Date value) {
            addCriterion("v_update_time >", value, "vUpdateTime");
            return (Criteria) this;
        }

        public Criteria andVUpdateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("v_update_time >=", value, "vUpdateTime");
            return (Criteria) this;
        }

        public Criteria andVUpdateTimeLessThan(Date value) {
            addCriterion("v_update_time <", value, "vUpdateTime");
            return (Criteria) this;
        }

        public Criteria andVUpdateTimeLessThanOrEqualTo(Date value) {
            addCriterion("v_update_time <=", value, "vUpdateTime");
            return (Criteria) this;
        }

        public Criteria andVUpdateTimeIn(List<Date> values) {
            addCriterion("v_update_time in", values, "vUpdateTime");
            return (Criteria) this;
        }

        public Criteria andVUpdateTimeNotIn(List<Date> values) {
            addCriterion("v_update_time not in", values, "vUpdateTime");
            return (Criteria) this;
        }

        public Criteria andVUpdateTimeBetween(Date value1, Date value2) {
            addCriterion("v_update_time between", value1, value2, "vUpdateTime");
            return (Criteria) this;
        }

        public Criteria andVUpdateTimeNotBetween(Date value1, Date value2) {
            addCriterion("v_update_time not between", value1, value2, "vUpdateTime");
            return (Criteria) this;
        }
    }

    /**
     * t_ventilation
     */
    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    /**
     * t_ventilation 2019-03-11
     */
    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}